<header>
    <div class="container">
        <div class="row">
            <div class="col-12 text-center">
                <img class="img-fluid" src="assets/images/header-logo-cb.png" alt="">
            </div>
        </div>
        <div class="row text-center">
            <div class="col-3">
                <img class="img-fluid" src="assets/images/header-logo-uiw.jpg" alt="">
            </div>
            <div class="col-3">
                <img class="img-fluid" src="assets/images/header-logo-st-mary.jpg" alt="">
            </div>
            <div class="col-3">
                <img class="img-fluid" src="assets/images/header-logo-st-thomas.jpeg" alt="">
            </div>
            <div class="col-3">
                <img class="img-fluid" src="assets/images/header-logo-pikes-peak.jpg" alt="">
            </div>
        </div>
    </div>
</header>

<div class="container">

    <button (click)="toggleForm()" class="btn btn-lg " style="text-decoration: underline;">Personal Information</button>
    <div class="card card-body" *ngIf="showForm">
        <form #codeboundApplication="ngForm">
            <div class="form-group">
                <label style="text-decoration: underline;" for="first_name">First Name</label>
                    <input 
                    type="text"
                    id="first_name"
                    name="first_name"
                    class="form-control"
                    required
                    (keypress)="OnlyLettersAllowed($event)"
                    pattern="^[a-zA-z]+$"
                    #first_name="ngModel"
                    [(ngModel)]="firstName"
                    minlength="2"
                    maxlength="8"
                    >
                    <div *ngIf="first_name.invalid && first_name.touched">
                        <div *ngIf="first_name.errors.required" class="alert alert-danger">
                            First Name is required
                        </div>
                        <div *ngIf="first_name.errors.minlength" class="alert alert-danger">
                            Must be 2 or more characters long
                        </div>
                    </div>

                    <hr>

                <label style="text-decoration: underline;" for="middle_initial">Middle Initial</label>
                    <input
                    type="text"
                    id="middle_initial"
                    name="middle_initial"
                    class="form-control"
                    required
                    (keypress)="OnlyLettersAllowed($event)"
                    pattern="^[a-zA-z]+$"
                    maxlength="1"
                    >

                    <hr>

                <label style="text-decoration: underline;" for="last_name">Last Name</label>
                    <input
                    type="text"
                    id="last_name"
                    name="last_name"
                    class="form-control"
                    required 
                    (keypress)="OnlyLettersAllowed($event)"
                    [(ngModel)]="lastName"
                    #last_name="ngModel"
                    minlength="2"
                    maxlength="15"
                    >
                    <div *ngIf="last_name.invalid && last_name.touched">
                        <div *ngIf="last_name.errors.required" class="alert alert-danger">
                            Last name is required
                        </div>
                        <div *ngIf="last_name.errors.minlength" class="alert alert-danger">
                            Must be 2 or more characters long
                        </div>
                    </div>

                    <hr>

                <label style="text-decoration: underline;" for="current_date">Date</label>
                    <input
                    type="date"
                    id="current_date"
                    name="current_date"
                    class="form-control"
                    [min]="minDate | date:'yyyy-MM-dd'"
                    [max]="maxDate | date:'yyyy-MM-dd'"
                    required
                    [(ngModel)]="date"
                    #current_date="ngModel"
                    >
                    <div *ngIf="current_date.invalid && current_date.touched">
                        <div *ngIf="current_date.errors.required" class="alert alert-danger">
                            Add today's date
                        </div>
                    </div>

                    <hr>

                <label style="text-decoration: underline;" for="street_address">Street Address</label>
                    <input
                    type="text"
                    id="street_address"
                    name="street_address"
                    class="form-control"
                    required
                    [(ngModel)]="street"
                    #street_address="ngModel"
                    minlength="2"
                    maxlength="30"
                    >
                    <div *ngIf="street_address.invalid && street_address.touched">
                        <div *ngIf="street_address.errors.required" class="alert alert-danger">
                            Street address is required
                        </div>
                        <div *ngIf="street_address.errors.minlength" class="alert alert-danger">
                            Must be 2 or more characters long
                        </div>
                    </div>

                    <hr>

                <label style="text-decoration: underline;" for="apartmentNum">Apart/Unit Number</label>
                    <input
                    type="text"
                    id="apartmentNum"
                    name="apartmentNum"
                    class="form-control"
                    maxlength="12"
                    >

                    <hr>

                <label style="text-decoration: underline;" for="current_city">City</label>
                    <input
                    type="text"
                    id="current_city"
                    name="current_city"
                    class="form-control"
                    required
                    [(ngModel)]="city"
                    #current_city="ngModel"
                    minlength="2"
                    maxlength="22"
                    >
                    <div *ngIf="current_city.invalid && current_city.touched">
                        <div *ngIf="current_city.errors.required" class="alert alert-danger">
                            Current city is required
                        </div>
                        <div *ngIf="current_city.errors.minlength" class="alert alert-danger">
                            Must be 2 or more characters long
                        </div>
                    </div>

                    <hr>

                <label style="text-decoration: underline;" for="current_state">State</label>
                    <input
                    type="text"
                    id="current_state"
                    name="current_state"
                    class="form-control"
                    required
                    (keypress)="OnlyLettersAllowed($event)"
                    [(ngModel)]="state"
                    #current_state="ngModel"
                    maxlength="2"
                    >
                    <div *ngIf="current_state.invalid && current_state.touched">
                        <div *ngIf="current_state.errors.required" class="alert alert-danger">
                            Current state is required
                        </div>
                    </div>

                    <hr>

                <label style="text-decoration: underline;" for="current_zip">Zip Code</label>
                    <input
                    type="text"
                    id="current_zip"
                    name="current_zip"
                    class="form-control"
                    required
                    (keypress)="OnlyNumbersAllowed($event)"
                    [(ngModel)]="zip"
                    #current_zip="ngModel"
                    minlength="2"
                    maxlength="12"
                    >
                    <div *ngIf="current_zip.invalid && current_zip.touched">
                        <div *ngIf="current_zip.errors.required" class="alert alert-danger">
                            Current zip code is required
                        </div>
                        <div *ngIf="current_zip.errors.minlength" class="alert alert-danger">
                            Must be 2 or more numbers long
                        </div>
                    </div>

                    <hr>

                <label style="text-decoration: underline;" for="personal_phone">Phone Number</label>
                    <input
                    type="tel"
                    id="personal_phone"
                    name="personal_phone"
                    class="form-control"
                    placeholder="+1-123-456-7890"
                    required
                    (keypress)="OnlyNumbersAllowed($event)"
                    [(ngModel)]="phone"
                    #personal_phone="ngModel"
                    minlength="2"
                    maxlength="11"
                    >
                    <div *ngIf="personal_phone.invalid && personal_phone.touched">
                        <div *ngIf="personal_phone.errors.required" class="alert alert-danger">
                            Current phone is required
                        </div>
                        <div *ngIf="personal_phone.errors.minlength" class="alert alert-danger">
                            Must be 2 or more chareacters long
                        </div>
                    </div>

                    <hr>

                <label style="text-decoration: underline;" for="personal_email">Email</label>
                    <input
                    type="email"
                    id="personal_email"
                    name="personal_email"
                    class="form-control"
                    required
                    [(ngModel)]="email"
                    #personal_email="ngModel"
                    minlength="2"
                    maxlength="35"
                    >
                    <div *ngIf="personal_email.invalid && personal_email.touched">
                        <div *ngIf="personal_email.errors.required" class="alert alert-danger">
                            Email is required
                        </div>
                        <div *ngIf="personal_email.errors.minlength" class="alert alert-danger">
                            Must be 2 or more characters long
                        </div>
                    </div>

                    <hr>

                <label style="text-decoration: underline;">Coarse Location</label><br>
                    <label style="text-decoration: underline;">     UIW: School of Professional Studies</label><br>
                        <input type="radio" name="school" id="uiw" required>
                            <label for="uiw">January 25th 2021 - June 14th, 2021</label><br>
                    <label style="text-decoration: underline;">     St.Mary's University</label><br>
                        <input type="radio" name="school" id="smu" required>
                            <label for="uiw">January 25th 2021 - June 14th, 2021</label><br>
                    <label style="text-decoration: underline;">     St.Thomas Univesity</label><br>
                        <input type="radio" name="school" id="stu" required>
                            <label for="uiw">January 25th 2021 - June 14th, 2021</label><br>
                    <label style="text-decoration: underline;">     Pike's Peak Community College</label><br>
                        <input type="radio" name="school" id="ppcc" required>
                            <label for="uiw">January 25th 2021 - June 14th, 2021</label><br>

                        <hr>

                <label style="text-decoration: underline;" for="ssn">SSN</label>
                    <input
                    type="password"
                    id="ssn"
                    name="ssn"
                    class="form-control"
                    required
                    (keypress)="OnlyNumbersAllowed($event)"
                    [(ngModel)]="personal_ssn"
                    #ssn="ngModel"
                    minlength="2"
                    maxlength="9"
                    >
                    <div *ngIf="ssn.invalid && ssn.touched">
                        <div *ngIf="ssn.errors.required" class="alert alert-danger">
                            Please enter your SSN
                        </div>
                        <div *ngIf="ssn.errors.required" class="alert alert-danger">
                            Must be 2 or more numbers long
                        </div>
                    </div>

                    <hr>

                <label style="text-decoration: underline;" for="birth_date">Date of Birth</label>
                    <input
                    type="date"
                    id="birth_date"
                    name="birth_date"
                    class="form-control"
                    [min]="minDate2 | date:'yyyy-MM-dd'"
                    [max]="maxDate2 | date:'yyyy-MM-dd'"
                    required
                    [(ngModel)]="dob"
                    #birth_date="ngModel"
                    >
                    <div *ngIf="birth_date.invalid && birth_date.touched">
                        <div *ngIf="birth_date.errors.required" class="alert alert-danger">
                            Please enter a DOB
                        </div>
                    </div>

                    <hr>

                <label  required [(ngModel)]="citizen" #radAnswer="ngModel" style="text-decoration: underline;">Are you a U.S. citizen?</label><br>
                    <input type="radio" id="yes" name="radAnswer" required>
                        <label for="yes">Yes</label><br>
                    <input type="radio" id="no" name="radAnswer" required>
                        <label for="no">No</label><br>
                        <div *ngIf="radAnswer.invalid && radAnswer.untouched">
                            <div *ngIf="radAnswer.errors.required" class="alert alert-danger">
                                Please state whether you are a U.S. citizen
                            </div>
                        </div>

                        <hr>

                <label for="no">If no, are you authorized to work in the U.S.?</label><br>
                    <input type="radio" id="yes2" name="radAnswer2" required>
                        <label for="yes2">Yes</label><br>
                    <input type="radio" id="no2" name="radAnswer2" required>
                        <label for="no2">No</label><br>

                        <hr>

                <label style="text-decoration: underline;">Emergency Contact</label><br>
                <label style="text-decoration: underline;" for="emergency_name">Name</label>
                    <input
                    type="text"
                    id="emergency_name"
                    name="emergency_name"
                    class="form-control"
                    required
                    (keypress)="OnlyLettersAllowed($event)"
                    [(ngModel)]="emerg_name"
                    #emergency_name="ngModel"
                    minlength="2"
                    maxlength="32"
                    >
                    <div *ngIf="emergency_name.invalid && emergency_name.touched">
                        <div *ngIf="emergency_name.errors.required" class="alert alert-danger">
                            An emergency contact's name is required
                        </div>
                        <div *ngIf="emergency_name.errors.minlength" class="alert alert-danger">
                            Must be 2 or more characters long
                        </div>
                    </div>

                    <hr>

                <label style="text-decoration: underline;" for="emergency_number">Number</label>
                    <input
                    type="tel"
                    id="emergency_number"
                    name="emergency_number"
                    class="form-control"
                    placeholder="+1-123-456-7890"
                    required
                    (keypress)="OnlyNumbersAllowed($event)"
                    [(ngModel)]="emerg_num"
                    #emergency_number="ngModel"
                    minlength="2"
                    maxlength="11"
                    >
                    <div *ngIf="emergency_number.invalid && emergency_number.touched">
                        <div *ngIf="emergency_number.errors.required" class="alert alert-danger">
                            An emercency's contact number is required
                        </div>
                        <div *ngIf="emergency_number.errors.minlength" class="alert alert-danger">
                            Must be 2 or more numbers long
                        </div>
                    </div>
            </div>
        </form>
    </div>

    <button style="text-decoration: underline;" (click)="toggleForm6()" class="btn btn-lg">Voluntary Self-Identification</button>
    <div class="card card-body" *ngIf="showForm6">
        <form #codeboundApplication="ngForm">
            <div class="form-group">
                <label style="text-decoration: underline;">Gender</label><br>
                    <input type="checkbox" id="male" name="male">
                        <label for="male">Male</label><br>
                    <input type="checkbox" id="female" name="female">
                        <label for="female">Female</label><br>
                    <input type="checkbox" id="other" name="other">
                        <label for="other">Other</label><br>
                    <input type="checkbox" id="dnwts" name="dnwts">
                        <label for="dnwts">I do not wish to discuss</label><br>

                        <hr>

                <label style="text-decoration: underline;">Race/Ethnicity</label><br>
                    <input type="checkbox" id="race1" name="race1">
                        <label for="race1">Hispanic or Latino: A person of Cuban,
                            Mexican, Puerto Rican, South or Central American, or 
                            other Spanish culture or origin regardless of race.
                        </label><br>
                    <input type="checkbox" id="race2" name="race2">
                        <label for="race2">White (Not Hispanic or Latino): 
                            A person having origins in any of the original 
                            peoples of Europe, the Middle East or North Africa.
                        </label><br>
                    <input type="checkbox" id="race3" name="race3">
                        <label for="race3">Black or African American 
                            (Not Hispanic or Latino):  A person having 
                            origins in any of the black racial groups of 
                            Africa.
                        </label><br>
                    <input type="checkbox" id="race4" name="race4">
                        <label for="race4">Native Hawaiian or Pacific 
                            Islander (Not Hispanic or Latino):  A person 
                            having origins in any of the peoples of Hawaii, 
                            Guam, Samoa, or other Pacific Islands.
                        </label><br>
                    <input type="checkbox" id="race5" name="race5">
                        <label for="race5">Asian (Not Hispanic or Latino):  
                            A person having origins in any of the original 
                            peoples of the Far East, Southeast Asia or the 
                            Indian Subcontinent, including for example, Cambodia, 
                            China, India, Japan, Korea, Malaysia, Pakistan, the 
                            Phillppine Islands, Thailand, and Vietnam.
                        </label><br>
                    <input type="checkbox" id="race6" name="race6">
                        <label for="race6">Native American or Alaska 
                            Native (Not Hispanic or Latino): A person 
                            having origins in any of the original peoples 
                            of North and South America (including Central America) 
                            and who maintains tribal affiiationor community attachment.
                        </label><br>
                    <input type="checkbox" id="race7" name="race7">
                        <label for="race7">Two or more races 
                            (Not Hispanic or Latino): All persons 
                            who identify with more than one of the 
                            above five races.
                        </label><br>
                    <input type="checkbox" id="race8" name="race8">
                        <label for="race8">I do not wish to disclose</label><br>

                        <hr>

                <label style="text-decoration: underline;">Marital Status</label><br>
                        <input type="checkbox" id="married" name="married">
                            <label for="married">Married</label><br>
                        <input type="checkbox" name="separated" id="separated">
                            <label for="separated">Separated</label><br>
                        <input type="checkbox" id="divorced" name="divorced">
                            <label for="divorced">Divorced</label><br>
                        <input type="checkbox" id="widowed" name="widowed">
                            <label for="widowed">Widowed</label><br>
                        <input type="checkbox" id="single" name="single">
                            <label for="singel">Single</label><br>
            </div>
        </form>
    </div>

    <button class="btn btn-lg" style="text-decoration: underline;" (click)="toggleForm7()">UnderRepresented Groups</button>
    <div class="car card-body" *ngIf="showForm7">
        <form #codeboundApplication="ngForm">
            <div class="form-group">
                <label style="text-decoration: underline;">CodeBound is committed 
                    to promoting equity among underrepresented demographic groups 
                    in science, technology, engineering, and mathematics (STEM) 
                    careers. Please indicate if you identify with any of the following 
                    groups:
                </label><br>
                    <input type="checkbox" id="military" name="military">
                        <label for="military">Active Military, Guard, Reserve, or Veteran</label><br>
                    <input type="checkbox" id="emt" name="emt">
                        <label for="emt">First Responder</label><br>
                    <input type="checkbox" id="wos" name="wos">
                        <label for="wos">Women of STEM</label><br>
                    <input type="checkbox" id="local" name="local">
                        <label for="local">Local employer upskilling 
                            (USAA, HEB, Rackspace, AT&T, etc.)
                        </label><br>
                    <input type="checkbox" id="career_switch" name="career_switch">
                        <label for="career_switch">Career Transition 
                            (Are you changing careers or industries?)
                        </label><br>
                    <input type="checkbox" id="gamer" name="gamer">
                        <label for="gamer">Gamer or Video Game Design</label><br>
                    <input type="checkbox" id="lgbtq" name="lgbtq">
                        <label for="lgbtq">LGBTQ+</label><br>
                    <input type="checkbox" id="first_gen_school" name="first_gen_school">
                        <label for="first_gen_school">First Generation Post-Secondary Student 
                            (Are you the first in your family to go to school beyond high school?)
                        </label><br>
                    <input type="checkbox" id="stem_minority" name="stem_minority">
                        <label for="stem_minority">Underrepresented Minority in STEM 
                            (African Americans, Native American/Alaska Natives/Pacific Islander, 
                            Latino/Hispanic
                        </label><br>
                    <input type="checkbox" id="single_parent" name="single_parent">
                        <label for="single_parent">Single Parent</label><br>
            </div>
        </form>
    </div>

    <button style="text-decoration: underline;" (click)="toggleForm8()" class="btn btn-lg">Military Service</button>
    <div class="card card-body" *ngIf="showForm8">
        <form #codeboundApplication="ngForm">
            <div class="form-group">
                <label style="text-decoration: underline;">If you are active military,
                gaurd, reserve, or a veteran, please complete this section.
                </label><br>

                <hr>

                <label style="text-decoration: underline;">Branch</label><br>
                    <input type="checkbox" id="army" name="army">
                        <label for="army">Army</label><br>
                    <input type="checkbox" id="marines" name="marines">
                        <label for="marines">Marines</label><br>
                    <input type="checkbox" id="navy" name="navy">
                        <label for="navy">Navy</label><br>
                    <input type="checkbox" id="air_force" name="air_force">
                        <label for="air_force">Air Force</label><br>
                    <input type="checkbox" id="space_force" name="space_force">
                        <label for="space_force">Space Force</label><br>
                    <input type="checkbox" id="coast_guard" name="coast_guard">
                        <label for="coast_guard">Coast Guard</label><br>
                    <input type="checkbox" id="reserve" name="reserve">
                        <label for="reserve">Reserve</label><br>
                    <input type="checkbox" id="veteran" name="veteran">
                        <label for="veteran">Veteran</label><br>
                    <label for="other">Other</label>
                        <textarea class="form-control" name="other" id="other" cols="10" rows="5" maxlength="30"></textarea>

                        <hr>

                <label style="text-decoration: underline;">Service Date</label><br>
                    <label for="service_date1">Start</label>
                        <input
                        type="date"
                        id="service_date1"
                        name="service_date1"
                        class="form-control"
                        [min]="minDate3 | date:'yyyy-MM-dd'"
                        [max]="maxDate3 | date:'yyyy-MM-dd'"
                        required
                        [(ngModel)]="service_start"
                        #service_date1="ngModel"
                        >
                        <div *ngIf="service_date1.invalid && service_date1.touched">
                            <div *ngIf="service_date1.errors.required" class="alert alert-danger">
                                Please fill out the dates of your service
                            </div>
                        </div>
                    <label for="service_date2">End</label>
                        <input
                        type="date"
                        id="service_date2"
                        name="service_date2"
                        class="form-control"
                        [min]="minDate3 | date:'yyyy-MM-dd'"
                        [max]="maxDate3 | date:'yyyy-MM-dd'"
                        required
                        [(ngModel)]="service_end"
                        #service_date2="ngModel"
                        >
                        <div *ngIf="service_date2.invalid && service_date2.touched">
                            <div *ngIf="service_date2.errors.required" class="alert alert-danger">
                                Please fill out the dates of your service
                            </div>
                        </div>

                        <hr>

                <label style="text-decoration: underline;">Type of Service</label><br>
                    <input type="checkbox" id="full" name="full">
                        <label for="full">Full-time</label><br>
                    <input type="checkbox" id="part" name="part">
                        <label for="part">Part-time</label><br>
                    <label for="other">Other</label>
                        <textarea class="form-control" (keypress)="OnlyLettersAllowed($event)" name="other" id="other" cols="10" rows="5" maxlength="20"></textarea>

                        <hr>

                <label for="rank" style="text-decoration: underline;">Rank upon Discharge/Leave</label>
                    <textarea
                    class="form-control"
                    name="rank"
                    id="rank"
                    cols="10"
                    rows="5"
                    required
                    [(ngModel)]="rank_fillout"
                    #rank="ngModel"
                    minlength="2"
                    maxlength="30"
                    ></textarea>
                    <div *ngIf="rank.invalid && rank.touched">
                        <div *ngIf="rank.errors.required" class="alert alert-danger">
                            Please fill out your rank 
                        </div>
                        <div *ngIf="rank.errors.minlength" class="alert alert-danger">
                            Must be 2 or more characters long
                        </div>
                    </div>

                    <hr>

                <label for="rank" style="text-decoration: underline;">Type of Discharge</label><br>
                    <input type="checkbox" id="honorable" name="honorable">
                        <label for="honorable">Honorable</label><br>
                    <input type="checkbox" id="uhc" name="uhc">
                        <label for="uhc">Under Honorable Conditions</label><br>
                    <input type="checkbox" name="uohc" id="uohc">
                        <label for="uohc">Under Other than Honorable Conditions</label><br>
                    <input type="checkbox" name="bad_conduct" id="bad_conduct">
                        <label for="bad_conduct">Bad Conduct</label><br>
                    <input type="checkbox" name="dishonorable" id="dishonorable">
                        <label for="dishonorable">Dishonorable</label><br>
                    <input type="checkbox" name="other" id="other">
                        <label for="other">Other</label><br>

                        <hr>

                <label style="text-decoration: underline;">If other, please explain</label>
                    <textarea class="form-control" name="other_discharge" id="other_discharge" cols="10" rows="5" maxlength="5 0"></textarea>
            </div>
        </form>
    </div>

    <button style="text-decoration: underline;" (click)="toggleForm9()" class="btn btn-lg">Disclosure and Signature</button>
    <div class="card card-body" *ngIf="showForm9">
        <form #codeboundApplication="ngForm">
            <div class="form-group">
                <h4>I certify that my answers are true and complete to the 
                    best of my knowledge. If this application leads to my 
                    acceptance to the CodeBound program, I understand that 
                    false or misleading information in my application or 
                    interview may result in my release.
                </h4>
                <!-- <div class="signature-pad">
                    <div class="signature-pad-body">
                        <canvas #sPad width="900" height="600" style="touch-action: none;"></canvas>
                    </div>
                </div> -->
                <label style="text-decoration: underline;" for="e_sign">Full Name(Print)</label>
                    <input
                    type="text"
                    id="e_sign"
                    name="e_sign"
                    class="form-control"
                    required
                    [(ngModel)]="sign"
                    #e_sign
                    minlength="2"
                    maxlength="30"
                    >
                    <div *ngIf="e_sign.invalid && e_sign.touched">
                        <div *ngIf="e_sign.errors.required" class="alert alert-danger">
                            You must fill out your name
                        </div>
                        <div *ngIf="e_sign.errors.minlength" class="alert alert-danger">
                            Must be 2 or more characters long
                        </div>
                    </div>

                <label for="sign_date" style="text-decoration: underline;">Date</label>
                    <input
                    type="date"
                    name="sign_date"
                    id="sign_date"
                    class="form-control"
                    required
                    [(ngModel)]="date_of_sign"
                    #sign_date
                    [min]="minDate4 | date:'yyyy-MM-dd'"
                    [max]="maxDate4 | date:'yyyy-MM-dd'"
                    >
                    <div *ngIf="sign_date.invalid && sign_date.touched">
                        <div *ngIf="sign_date.errors.required">
                            Please fill out the date
                        </div>
                    </div>
            </div>
            <button type="submit" [disabled]="!codeboundApplication.form.valid" class="btn btn btn-dark">Submit application</button>
        </form>
    </div>
</div>

<footer style="background-color: black;" >
    <div *ngFor="let jokes of joke" class="table-borderless">
        <div style="color: aliceblue;" class="text-center lead"> 
            <h2>{{jokes["setup"]}}</h2>
            <h3>{{jokes["punchline"]}}</h3>
            <br>
            <div class="btn btn-info" onClick="history.go(0)">Click for new joke</div>
        </div>
    </div>
    <div class="container text-center">
        <h3 style="color: aliceblue;">&#169;CodeBound</h3>
    </div>
</footer>